/* file:  board_config.h
 * description: Board configuration
 * author: Emil Jovanov
 * date: February 10, 2004
*/

#ifndef _RS232_CONFIG_H_
#define _RS232_CONFIG_H_

#include "gendef.h"
#include <msp430x14x.h>

#define USE_UART0  // uncomment this to compile in functions for UART0
//#define USE_UART1  // uncomment this to compile in functions for UART1

/* uncomment this to make UART interrupt driven */
#define UART0_INT_DRIVEN
//#define UART1_INT_DRIVEN

#define UART0_RX_BUFSIZE  64
#define UART0_TX_BUFSIZE  64

#define UART1_RX_BUFSIZE  64
#define UART1_TX_BUFSIZE  64

#endif //_RS232_CONFIG_H_

// ***** Function declarations ***** /
void delay(void);
void short_delay(void);
void SetUpClocks(void);
void UARTInitialize(void);

/***** Macro declarations *****/
#define LED_SETUP()   P1DIR |= BIT0 + BIT1     // P1.0 & P1.1 output to drive LEDs

#define LEDON0     P1OUT |= BIT0
#define LEDOFF0    P1OUT &= ~BIT0
#define LEDTOGGLE0 P1OUT ^= ~BIT0

#define LEDON1     P1OUT |= BIT1
#define LEDOFF1    P1OUT &= ~BIT1


#ifndef _RS232_CONFIG_H_
#define _RS232_CONFIG_H_

#define USE_UART0  // uncomment this to compile in functions for UART0
//#define USE_UART1  // uncomment this to compile in functions for UART1

/* uncomment this to make UART interrupt driven */
//#define UART0_INT_DRIVEN
//#define UART1_INT_DRIVEN

#define UART0_RX_BUFSIZE  64
#define UART0_TX_BUFSIZE  64

#endif //_RS232_CONFIG_H_

#define CR 13   // Carriage Return
#define LF 10   // Line Feed

////////////////////////////////////////////////////////////////
//   UART0 variables
////////////////////////////////////////////////////////////////
#ifdef UART0_INT_DRIVEN
#ifdef USE_UART0
extern char uart0_rx_buf[UART0_RX_BUFSIZE];
extern char uart0_tx_buf[UART0_TX_BUFSIZE];

extern uint8 uart0_rx_head, uart0_rx_tail;
extern uint8 uart0_tx_head, uart0_tx_tail;
extern uint8 uart0_flags;

#endif // USE_UART0
#endif // UART0_INT_DRIVEN

////////////////////////////////////////////////////////////////
//   UART1 variables
////////////////////////////////////////////////////////////////
#ifdef UART1_INT_DRIVEN
#ifdef USE_UART1
char uart1_rx_buf[UART1_RX_BUFSIZE];
char uart1_tx_buf[UART1_TX_BUFSIZE];

uint8 uart1_rx_head, uart1_rx_tail;
uint8 uart1_tx_head, uart1_tx_tail;
uint8 uart1_flags;

#endif //USE_UART1
#endif // UART1_INT_DRIVEN

