/*****
  file: serial_template.c
  Description: RS232 interface using UART0 test & template
  date: February 12, 2004
  author: Emil Jovanov

***/  
  
#include <msp430x14x.h>
#include <string.h>
#include "board_config.h"
#include "serial.h"

void main(void) {

  unsigned int i;
  
  WDTCTL = WDTPW + WDTHOLD; // Stop watchdog timer

  P4DIR = BIT0 + BIT2 + BIT3; // P40,2,3 for LINX wireless device
  P1DIR = BIT0 + BIT1;     // P1.0 & P1.1 output to drive LEDs
  P1OUT=0;
  P4OUT=0;

  SetUpClocks();

  delay();
  LEDON0;
  delay();
  LEDOFF0;

  UART_Initialize();

  _EINT();       // enable global interrupts

  // send a message
    // New Line (CR + LF)
    UART0_putchar(CR);
    UART0_putchar(LF);
    UART0_putchar('C');
    UART0_putchar('P');
    UART0_putchar('E');
    UART0_putchar('6');
    UART0_putchar('9');
    UART0_putchar('0');

  while(1) {
  // send something
    for (i=0;i<10;i++) {
      UART0_putchar('A'+i);
      LEDON0;
      short_delay();
      LEDOFF0;
      short_delay();
      }

    // New Line (CR + LF)
    UART0_putchar(CR);
    UART0_putchar(LF);
    } // while

} // main
